[Testing Update] 2018-01-28 - Real-Time Kernels, Linux415-Extra-Modules, Steam, Python, Haskell

update
testing

#1

Hi community,

again we have a smaller set of packages today. Bernhard and I worked on the Real-Time Kernels and updated them both to v4.14 series. We use now meta-pkgs to define them for you. Some work went into our Steam-Client, we managed to get more extra-modules compiled for our v4.15 kernel series and added the needed Python and Haskell rebuilds/updates.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.92 [EOL]
  • linux41 4.1.48
  • linux44 4.4.113
  • linux49 4.9.78
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.14
  • linux415 4.15-rc9
  • linux-RT-LTS 4.14.15_rt12
  • linux-RT 4.14.15_rt12

Package Updates (Sun Jan 28 08:08:57 CET 2018)

  • testing community x86_64: 123 new and 107 removed package(s)
  • testing core x86_64: 6 new and 6 removed package(s)
  • testing extra x86_64: 17 new and 13 removed package(s)
  • testing multilib x86_64: 4 new and 4 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                       bspwm-manjaro              0.9.4-4              0.9.4-5
                    bspwm-wallpapers           20170714-1           20180128-1
                     disable-tracker                0.1-2                0.1-3
                linux-rt-lts-manjaro        4.9.76_rt61-1               4.14-1
      linux-rt-lts-manjaro-acpi_call             1.1.0-32               4.14-1
       linux-rt-lts-manjaro-bbswitch               0.8-32               4.14-1
    linux-rt-lts-manjaro-broadcom-wl      6.30.223.271-19               4.14-1
       linux-rt-lts-manjaro-catalyst     1:15.201.1151-32               4.14-1
        linux-rt-lts-manjaro-headers        4.9.76_rt61-1               4.14-1
    linux-rt-lts-manjaro-ndiswrapper              1.61-18                    -
         linux-rt-lts-manjaro-nvidia          1:384.111-2               4.14-1
   linux-rt-lts-manjaro-nvidia-304xx          1:304.137-6               4.14-1
   linux-rt-lts-manjaro-nvidia-340xx            340.106-1               4.14-1
       linux-rt-lts-manjaro-nvidiabl              0.88-39               4.14-1
          linux-rt-lts-manjaro-r8168           8.045.08-1               4.14-1
      linux-rt-lts-manjaro-rt3562sta        2.4.1.1_r4-18               4.14-1
       linux-rt-lts-manjaro-tp_smapi              0.41-32               4.14-1
    linux-rt-lts-manjaro-vhba-module          20161009-18               4.14-1
linux-rt-lts-manjaro-virtualbox-guest-modules     5.2.4-2               4.14-1
linux-rt-lts-manjaro-virtualbox-host-modules      5.2.4-2               4.14-1
                    linux-rt-manjaro       4.11.12_rt16-1               4.14-1
          linux-rt-manjaro-acpi_call             1.1.0-42               4.14-1
           linux-rt-manjaro-bbswitch               0.8-42               4.14-1
        linux-rt-manjaro-broadcom-wl      6.30.223.271-26               4.14-1
           linux-rt-manjaro-catalyst     1:15.201.1151-42               4.14-1
            linux-rt-manjaro-headers       4.11.12_rt16-1               4.14-1
        linux-rt-manjaro-ndiswrapper              1.61-25                    -
             linux-rt-manjaro-nvidia          1:384.111-1               4.14-1
       linux-rt-manjaro-nvidia-304xx          1:304.137-4               4.14-1
       linux-rt-manjaro-nvidia-340xx            340.106-1               4.14-1
           linux-rt-manjaro-nvidiabl              0.88-42               4.14-1
              linux-rt-manjaro-r8168           8.045.08-1               4.14-1
          linux-rt-manjaro-rt3562sta        2.4.1.1_r4-25               4.14-1
           linux-rt-manjaro-tp_smapi              0.41-42               4.14-1
        linux-rt-manjaro-vhba-module          20161009-25               4.14-1
linux-rt-manjaro-virtualbox-guest-modules         5.2.4-1               4.14-1
linux-rt-manjaro-virtualbox-host-modules          5.2.4-1               4.14-1
                   refind-theme-maia        r30.2ca0087-1        r31.70de37b-1
                         linux414-rt                    -       4.14.15_rt12-1
               linux414-rt-acpi_call                    -              1.1.0-1
                linux414-rt-bbswitch                    -                0.8-1
             linux414-rt-broadcom-wl                    -       6.30.223.271-1
                linux414-rt-catalyst                    -      1:15.201.1151-1
                 linux414-rt-headers                    -       4.14.15_rt12-1
                  linux414-rt-nvidia                    -          1:384.111-1
            linux414-rt-nvidia-304xx                    -          1:304.137-1
            linux414-rt-nvidia-340xx                    -            340.106-1
                linux414-rt-nvidiabl                    -               0.88-1
                   linux414-rt-r8168                    -           8.045.08-1
               linux414-rt-rt3562sta                    -         2.4.1.1_r4-1
                linux414-rt-tp_smapi                    -               0.41-1
             linux414-rt-vhba-module                    -           20161009-1
linux414-rt-virtualbox-guest-modules                    -              5.2.6-1
 linux414-rt-virtualbox-host-modules                    -              5.2.6-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                               cacti             1.1.30-1             1.1.30-2
                             certbot             0.21.0-1             0.21.1-1
                      certbot-apache             0.21.0-1             0.21.1-1
              certbot-dns-cloudflare             0.21.0-1             0.21.1-1
                certbot-dns-cloudxns             0.21.0-1             0.21.1-1
            certbot-dns-digitalocean             0.21.0-1             0.21.1-1
                certbot-dns-dnsimple             0.21.0-1             0.21.1-1
             certbot-dns-dnsmadeeasy             0.21.0-1             0.21.1-1
                  certbot-dns-google             0.21.0-1             0.21.1-1
                  certbot-dns-luadns             0.21.0-1             0.21.1-1
                   certbot-dns-nsone             0.21.0-1             0.21.1-1
                 certbot-dns-rfc2136             0.21.0-1             0.21.1-1
                 certbot-dns-route53             0.21.0-1             0.21.1-1
                       certbot-nginx             0.21.0-1             0.21.1-1
                                dfmt              0.5.0-4              0.5.2-1
                            dscanner              0.4.1-1              0.4.2-1
                           dvdauthor              0.7.2-3              0.7.2-4
                           git-annex        6.20180112-33        6.20180112-36
                              gitlab             10.4.0-1             10.4.1-1
                haskell-authenticate             1.3.4-23             1.3.4-24
                         haskell-aws              0.18-28              0.18-29
                       haskell-brick             0.32.1-7               0.33-1
               haskell-cabal-doctest              1.0.4-1              1.0.5-1
                         haskell-dav            1.3.1-203            1.3.1-204
              haskell-email-validate              2.3.2-5            2.3.2.1-1
                   haskell-esqueleto             2.5.3-47             2.5.3-48
                       haskell-extra              1.6.2-1              1.6.3-1
                      haskell-hakyll          4.10.0.0-48          4.10.0.0-49
                 haskell-hjsonschema              1.7.2-6              1.7.2-7
                 haskell-hledger-lib                1.5-9               1.5-10
                 haskell-http-client              0.5.8-1              0.5.9-1
             haskell-http-client-tls           0.3.5.1-34           0.3.5.1-35
                haskell-http-conduit             2.2.4-21             2.2.4-22
                  haskell-persistent             2.7.3-18            2.7.3.1-1
           haskell-persistent-sqlite             2.6.4-25             2.6.4-26
         haskell-persistent-template             2.5.3-27             2.5.3-28
                  haskell-pipes-http             1.0.5-79             1.0.5-80
                       haskell-shake               0.16-7               0.16-8
                       haskell-yesod            1.4.5-167            1.4.5-169
                  haskell-yesod-auth            1.4.21-45            1.4.21-48
                  haskell-yesod-form            1.4.16-62            1.4.16-64
            haskell-yesod-persistent             1.4.3-43             1.4.3-44
                  haskell-yesod-test           1.5.9.1-26           1.5.9.1-27
                             hledger               1.5-11               1.5-12
                         hledger-api               1.5-34               1.5-35
                          hledger-ui               1.5-16               1.5-18
                         hledger-web               1.5-31               1.5-35
                               hlint            2.0.11-18            2.0.11-19
                              hoogle            5.0.14-41            5.0.14-43
                      hopenpgp-tools            0.19.5-56            0.19.5-57
                      libcurl-compat             7.57.0-1             7.58.0-1
                      libcurl-gnutls             7.57.0-1             7.58.0-1
                              mapnik             3.0.17-2             3.0.18-1
                               movit              1.5.3-1              1.6.0-1
                              pandoc             2.0.6-27             2.0.6-28
                     pandoc-citeproc          0.12.2.5-28          0.12.2.5-29
                     pandoc-crossref           0.3.0.1-15           0.3.0.1-16
                         python-acme             0.21.0-1             0.21.1-1
                     python-botocore             1.8.34-1             1.8.35-1
                   python-novaclient             10.0.0-1             10.1.0-1
                        python2-acme             0.21.0-1             0.21.1-1
                  python2-novaclient             10.0.0-1             10.1.0-1
                           qstardict                1.1-1                1.3-1
                              racket               6.11-1               6.12-1
                         racket-docs               6.11-1               6.12-1
                      racket-minimal               6.11-1               6.12-1
                               stack             1.6.3-48             1.6.3-51
                    telegram-desktop              1.2.6-5              1.2.8-1
                           uglify-js              3.3.8-1              3.3.9-1
                       checkbashisms                    -            2.17.12-1
                             comtool                    -                1.4-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                      linux415 4.15.r180126.g993ca20-1 4.15.r180127.gc4e0ca7-1
              linux415-headers 4.15.r180126.g993ca20-1 4.15.r180127.gc4e0ca7-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                         btrfs-progs               4.14-2             4.14.1-1
                                curl             7.57.0-1             7.58.0-1
                                gzip                1.8-2                1.9-1
                            libnftnl              1.0.8-1              1.0.9-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                    broadcom-wl-dkms       6.30.223.271-4       6.30.223.271-5
                 calamares-git 3.2.0.r4302.bff689035-1 3.2.0.r4348.567c5f332-1
              grub-theme-live-common               17.1-1             17.1.1-1
             grub-theme-live-manjaro               17.1-1             17.1.1-1
               grub-theme-live-sonar               17.1-1             17.1.1-1
                  grub-theme-manjaro                    -             17.1.1-1
                linux415-broadcom-wl                    -     6.30.223.271-0.4
                        linux415-spl                    -            0.7.5-0.1
                        linux415-zfs                    -            0.7.5-0.1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                arch-install-scripts                 17-1                 18-1
                                 gjs           1:1.50.3-1           1:1.50.4-1
                                 mlt              6.6.0-1              6.6.0-2
                 mlt-python-bindings              6.6.0-1              6.6.0-2
                                mutt              1.9.2-2              1.9.3-1
                            nftables              1:0.8-1            1:0.8.1-1
                       python-nbxmpp              0.6.2-1              0.6.3-1
                      python2-nbxmpp              0.6.2-1              0.6.3-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                       steam-manjaro           1.0.0.54-9          1.0.0.54-10


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                          lib32-curl             7.57.0-1             7.58.0-1
                lib32-libcurl-compat             7.57.0-1             7.58.0-1
                lib32-libcurl-gnutls             7.57.0-1             7.58.0-1


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

wiki post


#3

This looks like an …ooopsy!

on two machines.


#4

Be more specific what you see as an issue …


#5

Both 4.14.1-rt kernels shown as running (but not installed)


#6

So do you have installed any RT-Kernels? As we changed to meta-packages, we may need to update mhwd and/or msm.


#7

no, as you can see, I have 4.4.113 (linux44) and 4.14.15 (linux414 - running) installed.


#8

mhwd-kernel seems okay

$ mhwd-kernel -li
Currently running: 4.14.15-1-MANJARO (linux414)
The following kernels are installed in your system:
   * linux414
   * linux49

$ mhwd-kernel -l
available kernels:
   * linux316
   * linux318
   * linux41
   * linux412
   * linux413
   * linux414
   * linux415
   * linux44
   * linux49
   * linux-rt-lts-manjaro
   * linux-rt-manjaro

As @banjo pointed out MSM needs some work to display correctly, can confirm the same issues with 4.14 installed

FS-Cap-201801028-2107


#9

Issue is solved with msm v0.5.4-9. I’m now about to fix mhwd-kernel.


Minor bug in the Kernel Settings configuration
#10
### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing core x86_64:  1 new and 1 removed package(s)
 - testing extra x86_64:  4 new and 4 removed package(s)

:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                                mhwd              0.6.1-1              0.6.1-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
            manjaro-settings-manager              0.5.4-8              0.5.4-9
        manjaro-settings-manager-kcm              0.5.4-8              0.5.4-9
  manjaro-settings-manager-knotifier              0.5.4-8              0.5.4-9
   manjaro-settings-manager-notifier              0.5.4-8              0.5.4-9

#11

Some more updates to stabilize Manjaro v17.1.3 …

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing core x86_64:  2 new and 2 removed package(s)
 - testing extra x86_64:  14 new and 0 removed package(s)
 - testing multilib x86_64:  5 new and 0 removed package(s)

:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                     manjaro-release             17.1.2-1             17.1.3-1
                      pacman-mirrors              4.7.0-1              4.7.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
                   libva-mesa-driver                    -           17.3.3-1.1
                                mesa                    -           17.3.3-1.1
                          mesa-vdpau                    -           17.3.3-1.1
                         opencl-mesa                    -           17.3.3-1.1
                        vulkan-intel                    -           17.3.3-1.1
                       vulkan-radeon                    -           17.3.3-1.1
                         xorg-server                - 1.19.6+13+gd0d1a694f-0.1
                  xorg-server-common                - 1.19.6+13+gd0d1a694f-0.1
                   xorg-server-devel                - 1.19.6+13+gd0d1a694f-0.1
                    xorg-server-xdmx                - 1.19.6+13+gd0d1a694f-0.1
                  xorg-server-xephyr                - 1.19.6+13+gd0d1a694f-0.1
                   xorg-server-xnest                - 1.19.6+13+gd0d1a694f-0.1
                    xorg-server-xvfb                - 1.19.6+13+gd0d1a694f-0.1
                xorg-server-xwayland                - 1.19.6+13+gd0d1a694f-0.1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-27           2018-01-28
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver                    -           17.3.3-1.1
                          lib32-mesa                    -           17.3.3-1.1
                    lib32-mesa-vdpau                    -           17.3.3-1.1
                  lib32-vulkan-intel                    -           17.3.3-1.1
                 lib32-vulkan-radeon                    -           17.3.3-1.1

#12

Fine,

Manjaro 17.1.3 Hakoila

Big Thank for the work.


#13

Testing, no issues.


#14

For my erudtion what packages cause a regeneration of the kernel image?


#15

Seems mhwd this time …


#16

Ah yes, thank you, that would have been my guess. But there could be others? I am still struggling to understand how all the parts fit together. :baby:


#17

The Current Supported Kernels still lists 4.14.14, but I have 4.14.15 installed.


#18

I am using MSM 0.5.4-9 and the issue reported by banjo and sueridgepipe has been solved. However, I can’t select a real-time LTS kernel. Is it supposed to be like that?

I know both RT and RT LTS uses Linux 4.14 right now, but it will change in the future, so I think it would still be appropriate to offer both RT and RT LTS.

Outside of that, I got a warning about intel-ucode (local package is newer than the one in extra), but since I haven’t noticed any issue that could be related to that yet, I won’t downgrade it.

warning-newer

I have nothing else to report for now.

Manjaro Cinnamon
Linux 4.14 (with kernel-alive)


#19

Hm. True. The way it is configured now you will only see the actual kernel versions - makes the whole naming rt vs. rt-lts basically pointless… :laughing: didn’t consider that. Ideas @philm ?

And yes, intel-ucode was downgraded. Needs to be fixed by running sudo pacman -Syuu …


#20

It’s the correct decision of Manjaro (or any other distribution) to downgrade the intel-ucode. But I don’t think, it’s always the best decision for every system. One of my systems got a BIOS Update with microcode of January and runs since two weeks without problems. In this case it could be a greater risk to downgrade the BIOS or the intel-ucode. It could be better to tolerate the pacman advice and set an ignore-package entry within the pacman.conf until a newer intel-ucode will be published (and to make a copy of the package from January 8th in case of needing a reinstallation).